/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.enums;

import com.darwino.domino.napi.DominoAPI;

/**
 * @author Jesse Gallagher
 * @since 2.5.0
 * @see actprop.h
 */
public enum ActionType implements INumberEnum<Short> {
	RUN_FORMULA(DominoAPI.ACTION_RUN_FORMULA), RUN_SCRIPT(DominoAPI.ACTION_RUN_SCRIPT),
	RUN_AGENT(DominoAPI.ACTION_RUN_AGENT), OLDSYS_COMMAND(DominoAPI.ACTION_OLDSYS_COMMAND),
	SYS_COMMAND(DominoAPI.ACTION_SYS_COMMAND), PLACEHOLDER(DominoAPI.ACTION_PLACEHOLDER),
	RUN_JAVASCRIPT(DominoAPI.ACTION_RUN_JAVASCRIPT);
	
	private final short value;
	
	private ActionType(short value) {
		this.value = value;
	}
	
	@Override
	public Short getValue() {
		return value;
	}
	
	@Override
	public long getLongValue() {
		return value;
	}
}
