/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.enums;

import com.darwino.domino.napi.DominoAPI;

/**
 * (editods.h)
 * 
 * @author Jesse Gallagher
 * @since 2.5.0
 * @since Notes/Domino 4.5
 */
public enum BARREC implements INumberEnum<Integer> {
	DISABLED_FOR_NON_EDITORS(DominoAPI.BARREC_DISABLED_FOR_NON_EDITORS),
	EXPANDED(DominoAPI.BARREC_EXPANDED),
	PREVIEW(DominoAPI.BARREC_PREVIEW),
	BORDER_INVISIBLE(DominoAPI.BARREC_BORDER_INVISIBLE),
	ISFORMULA(DominoAPI.BARREC_ISFORMULA),
	INTENDED(DominoAPI.BARREC_INTENDED),
	HAS_COLOR(DominoAPI.BARREC_HAS_COLOR),
	BORDER_SHADOW(DominoAPI.BARREC_BORDER_SHADOW),
	BORDER_NONE(DominoAPI.BARREC_BORDER_NONE),
	BORDER_SINGLE(DominoAPI.BARREC_BORDER_SINGLE),
	BORDER_DOUBLE(DominoAPI.BARREC_BORDER_DOUBLE),
	BORDER_TRIPLE(DominoAPI.BARREC_BORDER_TRIPLE),
	BORDER_TWOLINE(DominoAPI.BARREC_BORDER_TWOLINE),
	BORDER_WINDOWCAPTION(DominoAPI.BARREC_BORDER_WINDOWCAPTION),
	BORDER_OTHER(DominoAPI.BARREC_BORDER_OTHER),
	BORDER_GRADIENT(DominoAPI.BARREC_BORDER_GRADIENT),
	BORDER_TAB(DominoAPI.BARREC_BORDER_TAB),
	BORDER_DIAG(DominoAPI.BARREC_BORDER_DIAG),
	INDENTED(DominoAPI.BARREC_INDENTED)
	;
	
	private final int value;
	
	private BARREC(int value) {
		this.value = value;
	}
	
	@Override
	public Integer getValue() {
		return value;
	}
	
	@Override
	public long getLongValue() {
		return value;
	}
}
