/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.enums;

import com.darwino.domino.napi.DominoAPI;

/**
 * EM_*
 * 
 * @author Jesse Gallagher
 * @since 2.0.0
 */
public enum EMEventID implements INumberEnum<Integer> {
	NSFDBCLOSESESSION(DominoAPI.EM_NSFDBCLOSESESSION), NSFDBCLOSE(DominoAPI.EM_NSFDBCLOSE), NSFDBCREATE(DominoAPI.EM_NSFDBCREATE), NSFDBDELETE(DominoAPI.EM_NSFDBDELETE), NSFNOTEOPEN(DominoAPI.EM_NSFNOTEOPEN), NSFNOTECLOSE(DominoAPI.EM_NSFNOTECLOSE),
	NSFNOTECREATE(DominoAPI.EM_NSFNOTECREATE), NSFNOTEDELETE(DominoAPI.EM_NSFNOTEDELETE), NSFNOTEOPENBYUNID(DominoAPI.EM_NSFNOTEOPENBYUNID), FTGETLASTINDEXTIME(DominoAPI.EM_FTGETLASTINDEXTIME), FTINDEX(DominoAPI.EM_FTINDEX), FTSEARCH(DominoAPI.EM_FTSEARCH),
	NIFFINDBYKEY(DominoAPI.EM_NIFFINDBYKEY), NIFFINDBYNAME(DominoAPI.EM_NIFFINDBYNAME), NIFOPENNOTE(DominoAPI.EM_NIFOPENNOTE), NIFREADENTRIES(DominoAPI.EM_NIFREADENTRIES), NIFUPDATECOLLECTION(DominoAPI.EM_NIFUPDATECOLLECTION),
	NSFDBALLOCOBJECT(DominoAPI.EM_NSFDBALLOCOBJECT), NSFDBCOMPACT(DominoAPI.EM_NSFDBCOMPACT), NSFDBDELETENOTES(DominoAPI.EM_NSFDBDELETENOTES), NSFDBFREEOBJECT(DominoAPI.EM_NSFDBFREEOBJECT), NSFDBGETMODIFIEDNOTETABLE(DominoAPI.EM_NSFDBGETMODIFIEDNOTETABLE),
	NSFDBGETNOTEINFO(DominoAPI.EM_NSFDBGETNOTEINFO), NSFDBGETNOTEINFOBYUNID(DominoAPI.EM_NSFDBGETNOTEINFOBYUNID), NSFDBGETOBJECTSIZE(DominoAPI.EM_NSFDBGETOBJECTSIZE), NSFDBGETSPECIALNOTEID(DominoAPI.EM_NSFDBGETSPECIALNOTEID), NSFDBINFOGET(DominoAPI.EM_NSFDBINFOGET),
	NSFDBINFOSET(DominoAPI.EM_NSFDBINFOSET), NSFDBLOCATEBYREPLICAID(DominoAPI.EM_NSFDBLOCATEBYREPLICAID), NSFDBMODIFIEDTIME(DominoAPI.EM_NSFDBMODIFIEDTIME), NSFDBREADOBJECT(DominoAPI.EM_NSFDBREADOBJECT), NSFDBREALLOCOBJECT(DominoAPI.EM_NSFDBREALLOCOBJECT),
	NSFDBREPLICAINFOGET(DominoAPI.EM_NSFDBREPLICAINFOGET), NSFDBREPLICAINFOSET(DominoAPI.EM_NSFDBREPLICAINFOSET), NSFDBSPACEUSAGE(DominoAPI.EM_NSFDBSPACEUSAGE), NSFDBSTAMPNOTES(DominoAPI.EM_NSFDBSTAMPNOTES), NSFDBWRITEOBJECT(DominoAPI.EM_NSFDBWRITEOBJECT),
	NSFNOTEUPDATE(DominoAPI.EM_NSFNOTEUPDATE), NIFOPENCOLLECTION(DominoAPI.EM_NIFOPENCOLLECTION), NIFCLOSECOLLECTION(DominoAPI.EM_NIFCLOSECOLLECTION), NSFDBGETBUILDVERSION(DominoAPI.EM_NSFDBGETBUILDVERSION), NSFDBRENAME(DominoAPI.EM_NSFDBRENAME),
	NSFDBITEMDEFTABLE(DominoAPI.EM_NSFDBITEMDEFTABLE), NSFDBREOPEN(DominoAPI.EM_NSFDBREOPEN), NSFDBOPENEXTENDED(DominoAPI.EM_NSFDBOPENEXTENDED), NSFNOTEOPENEXTENDED(DominoAPI.EM_NSFNOTEOPENEXTENDED), TERMINATENSF(DominoAPI.EM_TERMINATENSF),
	NSFNOTEDECRYPT(DominoAPI.EM_NSFNOTEDECRYPT), GETPASSWORD(DominoAPI.EM_GETPASSWORD), SETPASSWORD(DominoAPI.EM_SETPASSWORD), NSFCONFLICTHANDLER(DominoAPI.EM_NSFCONFLICTHANDLER), MAILSENDNOTE(DominoAPI.EM_MAILSENDNOTE), CLEARPASSWORD(DominoAPI.EM_CLEARPASSWORD),
	NSFNOTEUPDATEXTENDED(DominoAPI.EM_NSFNOTEUPDATEXTENDED), SCHFREETIMESEARCH(DominoAPI.EM_SCHFREETIMESEARCH), SCHRETRIEVE(DominoAPI.EM_SCHRETRIEVE), SCHSRVRETRIEVE(DominoAPI.EM_SCHSRVRETRIEVE), NSFDBCOMPACTEXTENDED(DominoAPI.EM_NSFDBCOMPACTEXTENDED),
	ADMINPPROCESSREQUEST(DominoAPI.EM_ADMINPPROCESSREQUEST), NIFGETCOLLECTIONDATA(DominoAPI.EM_NIFGETCOLLECTIONDATA), NSFDBCOPYNOTE(DominoAPI.EM_NSFDBCOPYNOTE), NSFNOTECOPY(DominoAPI.EM_NSFNOTECOPY), NSFNOTEATTACHFILE(DominoAPI.EM_NSFNOTEATTACHFILE),
	NSFNOTEDETACHFILE(DominoAPI.EM_NSFNOTEDETACHFILE), NSFNOTEEXTRACTFILE(DominoAPI.EM_NSFNOTEEXTRACTFILE), NSFNOTEATTACHOLE2OBJECT(DominoAPI.EM_NSFNOTEATTACHOLE2OBJECT), NSFNOTEDELETEOLE2OBJECT(DominoAPI.EM_NSFNOTEDELETEOLE2OBJECT),
	NSFNOTEEXTRACTOLE2OBJECT(DominoAPI.EM_NSFNOTEEXTRACTOLE2OBJECT), NSGETSERVERLIST(DominoAPI.EM_NSGETSERVERLIST), NSFDBCOPY(DominoAPI.EM_NSFDBCOPY), NSFDBCREATEANDCOPY(DominoAPI.EM_NSFDBCREATEANDCOPY), NSFDBCOPYACL(DominoAPI.EM_NSFDBCOPYACL),
	NSFDBCOPYTEMPLATEACL(DominoAPI.EM_NSFDBCOPYTEMPLATEACL), NSFDBCREATEACLFROMTEMPLATE(DominoAPI.EM_NSFDBCREATEACLFROMTEMPLATE), NSFDBREADACL(DominoAPI.EM_NSFDBREADACL), NSFDBSTOREACL(DominoAPI.EM_NSFDBSTOREACL), NSFDBFILTER(DominoAPI.EM_NSFDBFILTER),
	FTDELETEINDEX(DominoAPI.EM_FTDELETEINDEX), NSFNOTEGETINFO(DominoAPI.EM_NSFNOTEGETINFO), NSFNOTESETINFO(DominoAPI.EM_NSFNOTESETINFO), NSFNOTECOMPUTEWITHFORM(DominoAPI.EM_NSFNOTECOMPUTEWITHFORM), NIFFINDDESIGNNOTE(DominoAPI.EM_NIFFINDDESIGNNOTE),
	NIFFINDPRIVATEDESIGNNOTE(DominoAPI.EM_NIFFINDPRIVATEDESIGNNOTE), NIFGETLASTMODIFIEDTIME(DominoAPI.EM_NIFGETLASTMODIFIEDTIME), FTSEARCHEXT(DominoAPI.EM_FTSEARCHEXT), NAMELOOKUP(DominoAPI.EM_NAMELOOKUP), NSFNOTEUPDATEMAILBOX(DominoAPI.EM_NSFNOTEUPDATEMAILBOX),
	NIFFINDDESIGNNOTEEXT(DominoAPI.EM_NIFFINDDESIGNNOTEEXT), AGENTOPEN(DominoAPI.EM_AGENTOPEN), AGENTRUN(DominoAPI.EM_AGENTRUN), AGENTCLOSE(DominoAPI.EM_AGENTCLOSE), AGENTISENABLED(DominoAPI.EM_AGENTISENABLED),
	AGENTCREATERUNCONTEXT(DominoAPI.EM_AGENTCREATERUNCONTEXT), AGENTDESTROYRUNCONTEXT(DominoAPI.EM_AGENTDESTROYRUNCONTEXT), AGENTSETDOCUMENTCONTEXT(DominoAPI.EM_AGENTSETDOCUMENTCONTEXT), AGENTSETTIMEEXECUTIONLIMIT(DominoAPI.EM_AGENTSETTIMEEXECUTIONLIMIT),
	AGENTQUERYSTDOUTBUFFER(DominoAPI.EM_AGENTQUERYSTDOUTBUFFER), AGENTREDIRECTSTDOUT(DominoAPI.EM_AGENTREDIRECTSTDOUT), SECAUTHENTICATION(DominoAPI.EM_SECAUTHENTICATION), NAMELOOKUP2(DominoAPI.EM_NAMELOOKUP2),
	NSFDBHASPROFILENOTECHANGED(DominoAPI.EM_NSFDBHASPROFILENOTECHANGED), NSFMARKREAD(DominoAPI.EM_NSFMARKREAD), NSFADDTOFOLDER(DominoAPI.EM_NSFADDTOFOLDER), NSFDBSPACEUSAGESCALED(DominoAPI.EM_NSFDBSPACEUSAGESCALED),
	NSFDBGETMAJMINVERSION(DominoAPI.EM_NSFDBGETMAJMINVERSION), ROUTERJOURNALMESSAGE(DominoAPI.EM_ROUTERJOURNALMESSAGE), SMTPCONNECT(DominoAPI.EM_SMTPCONNECT), SMTPCOMMAND(DominoAPI.EM_SMTPCOMMAND), SMTPMESSAGEACCEPT(DominoAPI.EM_SMTPMESSAGEACCEPT),
	SMTPDISCONNECT(DominoAPI.EM_SMTPDISCONNECT), NSFARCHIVECOPYNOTES(DominoAPI.EM_NSFARCHIVECOPYNOTES), NSFARCHIVEDELETENOTES(DominoAPI.EM_NSFARCHIVEDELETENOTES), NSFNOTEEXTRACTWITHCALLBACK(DominoAPI.EM_NSFNOTEEXTRACTWITHCALLBACK),
	NSFDBSTAMPNOTESMULTIITEM(DominoAPI.EM_NSFDBSTAMPNOTESMULTIITEM), MEDIARECOVERY_NOTE(DominoAPI.EM_MEDIARECOVERY_NOTE), NSFGETCHANGEDDBS(DominoAPI.EM_NSFGETCHANGEDDBS), NSFDBMODIFIEDTIMEBYNAME(DominoAPI.EM_NSFDBMODIFIEDTIMEBYNAME),
	NSFGETDBCHANGES(DominoAPI.EM_NSFGETDBCHANGES), NSFNOTECIPHERDECRYPT(DominoAPI.EM_NSFNOTECIPHERDECRYPT), NSFNOTECIPHEREXTRACTFILE(DominoAPI.EM_NSFNOTECIPHEREXTRACTFILE), NSFNOTECIPHEREXTRACTWITHCALLBACK(DominoAPI.EM_NSFNOTECIPHEREXTRACTWITHCALLBACK),
	NSFNOTECIPHEREXTRACTOLE2OBJECT(DominoAPI.EM_NSFNOTECIPHEREXTRACTOLE2OBJECT), NSFNOTECIPHERDELETEOLE2OBJECT(DominoAPI.EM_NSFNOTECIPHERDELETEOLE2OBJECT), NSFDBNOTELOCK(DominoAPI.EM_NSFDBNOTELOCK), NSFDBNOTEUNLOCK(DominoAPI.EM_NSFDBNOTEUNLOCK),
	HOOK_EVENT_NOTE_UPDATE(500), HOOK_EVENT_NOTE_OPEN(501);
	

	private static EMEventID[] eventArray;

	public static EMEventID getEMEventFromId(final int id) {
		if (id < 1) {
			return null;
		}
		try {
			if (eventArray == null) {
				initEventArray();
			}
			return eventArray[id];
		} catch (ArrayIndexOutOfBoundsException e) {
			System.out.println("An EMBridge exception was encountered. No enum found for event id " + id);
			return null;
		}
	}

	synchronized static private void initEventArray() {
		eventArray = new EMEventID[502];
		for (EMEventID event : EMEventID.values()) {
			eventArray[event.getValue()] = event;
		}
	}
	
	private final int value;
	
	private EMEventID(int value) {
		this.value = value;
	}
	
	@Override
	public Integer getValue() {
		return value;
	}
	
	@Override
	public long getLongValue() {
		return value;
	}
}
