/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.struct;

import com.darwino.domino.napi.c.C;

/**
 * This class is a centralized location for struct memory allocation and deallocation.
 * 
 * <p>Currently, it just provides accessor methods, but it is intended to eventually
 * provide a reusable memory pool.</p>
 * 
 * @author Jesse Gallagher
 * @since 2.5.0
 */
public enum SMM {
	;
	
	public static void free(long ptr) {
		C.free(ptr);
	}
	
	public static long malloc(int size) {
		return C.malloc(size);
	}
	
	public static long calloc(int count, int size) {
		return C.calloc(count, size);
	}
}
